﻿using System;

namespace HeuristicLab.CommandLineInterface {
  /// <summary>
  /// The value attribute specifies a property as value for a command.
  /// </summary>
  [AttributeUsage(AttributeTargets.Property)]
  public class ValueAttribute : Attribute {
    /// <summary>
    /// Description of the value.
    /// </summary>
    public string Description { get; set; }

    public int Index { get; set; }

    public ValueAttribute(int index) {
      Index = index;
    }

  }
}
